/* Reset Básico*/
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: white;
}

/* Coitainer do menu*/
nav {
    background-color: rgb(5, 102, 212);
    padding: 15px 0;
    display: flex;
    justify-content: center;
}

/* lista */

ul {
    list-style: none;
    display: flex;
    gap: 40px;

}

/* itens */

li{
    color: black;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 18px;
    cursor: pointer;
    position: relative;
    transition: color 0.3s ease;
}

/* Linha animada embaixo */

li ::after {
    content: "";
    position: absolute;
    left: 0%;
    bottom: -6px;
    width: 0%;
    height: 2px;
    background-color: yellow;
    transition: width 0.3s ease;
}

/* Hover */

li:hover { color: yellow;}
li:hover::after { width: 100%}
a {text-decoration: none; color: inherit}

h1{
    color: black;
    text-align: center;
    font-family: 'Times New Roman', Times, serif;
}

/* Tabela */
table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
   font-family: Verdana, Geneva, Tahoma, sans-serif;
    background-color: white;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

/* Cabeçalho */
thead {
    background-color: #0d54ee;
    color: white;
}

th {
    padding: 15px;
    text-align: center;
    font-size: 18px;
}

/* Células */
td {
    padding: 12px;
    text-align: center;
    border-bottom: 1px solid #ddd;
}

/* Linhas alternadas */
tbody tr:nth-child(even) {
    background-color: #f5f5f5;
}

/* Efeito ao passar o mouse */
tbody tr:hover {
    background-color: #fffd9b;
    transition: 0.3s;
}

/* 1º lugar - Ouro */
.primeiro {
    background-color: #ffd700 !important;
    font-weight: bold;
}

/* 2º lugar - Prata */
.segundo {
    background-color: #c0c0c0 !important;
    font-weight: bold;
}

/* 3º lugar - Bronze */
.terceiro {
    background-color: #d1782f !important;
    font-weight: bold;
    color: white;
}

/* Responsividade para celular */
@media (max-width: 768px) {
    table {
        font-size: 14px;
    }

    th,
    td {
        padding: 8px;
    }
}